Jala 1.3

## Class jala.PodcastWriter

    Object
       |
       +--jala.XmlWriter
             |
             +--jala.Rss20Writer
                   |
                   +--jala.PodcastWriter

class jala.PodcastWriter
extends jala.Rss20Writer

Class to create, modify and render standard-compliant RSS 2.0 feeds including support for Apple's Podcast specification.
Defined in PodcastWriter.js

Field Summary
`<static> <final> String` | `XMLHEADER` A typical XML header as default.

Constructor Summary
`jala.PodcastWriter (<String> header)`

Method Summary
`void` | `addItunesCategory(<String> name, <String> subName, <jala.XmlWriter.XmlElement> parent)` Add an iTunes Podcast category.

Methods inherited from class jala.Rss20Writer
`getRoot, extendChannel, getChannel, setChannel, extendItem, createItem, addItem, addCategory, setImage, setTextInput`

Methods inherited from class jala.XmlWriter
`createElement, extend, addNamespace, write, toString, clone`

Field Detail

### XMLHEADER

    <static> <final> String XMLHEADER

A typical XML header as default.

See Also:
  Constant Field Values

Constructor Detail

### jala.PodcastWriter

    jala.PodcastWriter(<String> header)

Parameters:

`header` - Optional XML header.

Method Detail

### addItunesCategory

    void addItunesCategory(<String> name, <String> subName, <jala.XmlWriter.XmlElement> parent)

Add an iTunes Podcast category.

Parameters:

`name` - The category's name.

`subName` - The (optional) sub-category's name.

`parent` - Optional parent element to add the category to.

Jala 1.3

Documentation generated by JSDoc on Tue Jan 8 15:45:31 2008